{% extends "car_collection/__base.html" %}

{% load static %}

{% block content %}
<div class="row">
  <div class="col-6">
    Mes voitures ({{ ownedcar_list | length }} voitures) ({{nb_models}} modèles différents sur {{nb_models_total}} au total)
  </div>
</div>
<div class="container">
  {% for ownedcar in ownedcar_list %}
    {% if forloop.counter0|divisibleby:3 %} <div class="row text-center"> {% endif %}
      <div class="col-md-4">
        <div class="card">
          <a href="{% url 'my_cars_detail' ownedcar.id %}"><img src="{{ ownedcar.model.picture.url }}" height="200"/></a>
          <p><a href="{% url 'brand' ownedcar.model.brand.id %}">{{ ownedcar.model.brand.name }}</a> <a href="{% url 'my_cars_detail' ownedcar.id %}">{{ ownedcar.model.name }}</a></p>
        </div><!-- card -->
      </div><!-- col-md-4 -->
  {% if forloop.counter|divisibleby:3 or forloop.last %}</div><!-- row closing --><hr>{% endif %}
  {% endfor %}
</div><!-- container -->

<div class="row">
  <div class="col-6">
    <input type="submit" name="valid" value="Confirmer" class="btn btn-primary" />
    <input type="hidden" name="view" value="table" />
  </div>
  <div class="col">
    <a href="{% url 'my_cars' %}?view=list">Voir en liste</a>
  </div>
</div>
<script type="text/javascript" >
  function toggle_all(source) {
      checkboxes = document.getElementsByClassName("cars_check");
      for (var i = 0,
          n = checkboxes.length; i < n; i++) {
          checkboxes[i].checked = source.checked;
      }
  }
</script>
{% endblock %}
